Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# channel_converter_unsigned_impl Struct Template Reference

`#include <channel_algorithm.hpp>`

List of all members.

## Detailed Description

### template<typename SrcChannelV, typename DstChannelV, bool SrcIsIntegral, bool DstIsIntegral>
struct boost::gil::detail::channel_converter_unsigned_impl< SrcChannelV, DstChannelV, SrcIsIntegral, DstIsIntegral >

This is the default implementation. Performance specializatons are provided.

## Public Member Functions

DstChannelV | operator() (SrcChannelV src) const

The documentation for this struct was generated from the following file:

- channel_algorithm.hpp